> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save locations

> Save new (or update existing) favorite locations



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/mileage/locations
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/mileage/locations:
    post:
      tags:
        - Mileage Locations
      summary: Save locations
      description: Save new (or update existing) favorite locations
      operationId: postLocations
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiParamLocationPostDto'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseLocationGetDto'
        '207':
          description: Some locations failed to save. See response body for error details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseLocationGetDto'
        '400':
          description: All locations failed to save.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseListMultiResponseLocationGetDto'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    MultiParamLocationPostDto:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/LocationPostDto'
    ResponseListMultiResponseLocationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/MultiResponseLocationGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    LocationPostDto:
      type: object
      properties:
        id:
          type: string
          description: Id of the location, required when updating an existing location
          example: loc_28868401
        name:
          type: string
          description: Name of the location
          nullable: false
          example: Home Office
        status:
          type: string
          description: Status of the location
          nullable: false
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lat:
          type: string
          description: The latitude of the location
          nullable: false
          example: '38.8977'
        lng:
          type: string
          description: The longitude of the location
          nullable: false
          example: '-77.0365'
        address:
          $ref: '#/components/schemas/AddressPostDto'
        customData:
          $ref: '#/components/schemas/JsonNode'
    MultiResponseLocationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        statusCode:
          $ref: '#/components/schemas/HttpStatus'
        data:
          $ref: '#/components/schemas/LocationGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    AddressPostDto:
      type: object
      properties:
        state:
          type: string
          description: State/Province of the address
          nullable: false
        city:
          type: string
          description: City of the address
          nullable: false
        zip:
          type: string
          description: Zip/Postal code of the address
          nullable: false
        phoneWork:
          type: string
          description: The US/CA phone number in E.164 format (e.g., +14155551234)
          nullable: false
        address1:
          type: string
          description: First line of the address
          nullable: false
        address2:
          type: string
          description: Second line of the address
          nullable: false
      description: Address of the vendor
      nullable: false
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    HttpStatus:
      type: integer
      description: The HTTP status code for the action performed.
      format: int32
      enum:
        - 200
        - 400
        - 401
        - 403
        - 404
        - 500
    LocationGetDto:
      required:
        - address
        - id
        - lat
        - lng
        - name
        - status
      type: object
      properties:
        id:
          type: string
          description: Id of the location
          example: loc_28868401
        name:
          type: string
          description: Name of the location
          example: Home Office
        status:
          type: string
          description: Status of the location
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lat:
          type: string
          description: The latitude of the location
          example: '38.8977'
        lng:
          type: string
          description: The longitude of the location
          example: '-77.0365'
        address:
          $ref: '#/components/schemas/AddressGetDto'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    AddressGetDto:
      type: object
      properties:
        countryCode:
          type: string
          description: Country Code of the address
          example: USA
          enum:
            - USA
            - CAN
            - GBR
        state:
          type: string
          description: State/Province of the address
        city:
          type: string
          description: City of the address
        zip:
          type: string
          description: Zip/Postal code of the address
        phoneWork:
          type: string
          description: The phone number
        address1:
          type: string
          description: First line of the address
        address2:
          type: string
          description: Second line of the address
      description: Address of the vendor
      nullable: true
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````